<?php

	// http://192.168.5.230/authorize/authorize_sonde_updates.php?SITE_ID=05230_002&MAC=b8_27_eb_11_84_de&SERVER_UPDATES_MDP=4PwvwnI5F2LI

	$site				= $_GET["SITE_ID"];
	$mac				= $_GET["MAC"];
	$server_updates_mdp	= $_GET["SERVER_UPDATES_MDP"];
	
	include ("../_identifiants/sql_identification_sans_base.php");
	$mysql_base ='AQCM05_SITE_' . $site;
	
	date_default_timezone_set('Europe/Paris');
	$marqueur_temps_maintenant = time();
	$marqueur_temps_maintenant = mktime(0, 0, 0, date("m", $marqueur_temps_maintenant)  , date("d", $marqueur_temps_maintenant) + 1, date("Y", $marqueur_temps_maintenant) );
	
	$link = mysqli_connect($mysql_host,$mysql_user,$mysql_password, $mysql_base);
	if (!$link) {
		$code_erreur = 1;
		echo "code erreur 1"; echo("</br>");
		exit($code_erreur);
	}
		
	$query_1 = "SELECT aqcm_FIRMWARE_PWD,aqcm_T_MAX FROM AQCM05_SONDES_FIRMWARE WHERE aqcm_MAC='" . $mac . "'";
	//echo $query_1 . "</br>";

	$result = mysqli_query($link, $query_1); 
	if (!$result) {	
		$code_erreur = 2;
		echo "code erreur 2"; echo("</br>");
		mysqli_close($link);
		exit($code_erreur);
	}

	if (mysqli_num_rows($result) != 1) {	
		$code_erreur = 3;
		echo "code erreur 3"; echo("</br>");
		mysqli_close($link);
		exit($code_erreur);
	}

	if ($row = mysqli_fetch_array($result, MYSQLI_BOTH)) { 
		extract($row);
	}
	else {
		$code_erreur = 4 ;
		echo "code erreur 4"; echo("</br>");
		mysqli_close($link);
		exit($code_erreur);
	}
	
	if ($aqcm_T_MAX <= $marqueur_temps_maintenant) {
		$code_erreur = 5 ;
		echo("limite de validité dépassée !"); echo("</br>");
		mysqli_close($link);
		exit($code_erreur);
	}
	
	if ($aqcm_FIRMWARE_PWD != $server_updates_mdp) {
		$code_erreur = 6;
		echo("mot de passe incorrect !"); echo("</br>");
		mysqli_close($link);
		exit($code_erreur);
	} 
	
	echo "OK";
	$code_erreur = 0;
	mysqli_close($link);
	exit($code_erreur);

?>

